What it does
Returns a paginated list of videos liked by a TikTok user. Note: Users may have their likes set to private, in which case an empty list will be returned.Tool details
| Field | Value |
|---|---|
| Tool name | tiktok.get_user_likes |
| Platform | TikTok |
| REST endpoint | GET /v1/tiktok/users/{username}/likes |
| Result type | Collection tool |
Parameters
| Parameter | Source | Type | Required | Description |
|---|---|---|---|---|
username | path | string | Yes | TikTok username (with or without @ symbol) |
count | query | integer | No | Number of videos to fetch (maximum: 35) Default: 35. |
cursor | query | string | No | Pagination cursor Default: 0. |
projection_preset | shared | string | No | Optional. Defaults to minimal. Allowed values: full, minimal, identity, engagement, content. |
data_fields | shared | string[] | No | Optional. Adds top-level keys from data on top of the selected projection_preset. |
item_fields | shared | string[] | No | Optional. Adds keys from data.orderedItems[] on top of the selected projection_preset. |
Example
Available data fields
Available item fields
Response notes
Successful calls return a JSON object with a top-leveldata field and, when
available, metadata.creditsUsed and metadata.creditsRemaining. See
response format,
pagination, and credits.